# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-07-11 12:03
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('core', '0001_initial'),
        ('submission', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ProductionAssignment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('assigned', models.DateTimeField(default=django.utils.timezone.now)),
                ('notified', models.BooleanField(default=False)),
                ('closed', models.DateField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TypesetTask',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('assigned', models.DateTimeField(default=django.utils.timezone.now)),
                ('notified', models.BooleanField(default=False)),
                ('accepted', models.DateTimeField(blank=True, null=True)),
                ('typeset_task', models.TextField(blank=True, null=True, verbose_name='Typesetting Task')),
                ('note_from_typesetter', models.TextField(blank=True, null=True, verbose_name='Note to Editor')),
                ('completed', models.DateTimeField(blank=True, null=True)),
                ('editor_reviewed', models.BooleanField(default=False)),
                ('assignment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='production.ProductionAssignment')),
                ('files_for_typesetting', models.ManyToManyField(related_name='files_for_typesetting', to='core.File')),
                ('galleys_loaded', models.ManyToManyField(related_name='galleys_loaded', to='core.File')),
                ('typesetter', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='productionassignment',
            name='accepted_by_manager',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='production.TypesetTask'),
        ),
        migrations.AddField(
            model_name='productionassignment',
            name='article',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='submission.Article'),
        ),
        migrations.AddField(
            model_name='productionassignment',
            name='editor',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='prod_editor', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='productionassignment',
            name='production_manager',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterUniqueTogether(
            name='productionassignment',
            unique_together=set([('article', 'production_manager')]),
        ),
    ]
